All Classes Namespaces Functions Variables Groups Pages
SqlUtil::AbstractSqlUtilBase Class Reference

base class for abstract SqlUtil classes More...

Inheritance diagram for SqlUtil::AbstractSqlUtilBase:
[legend]

## Public Member Functions

private | constructor (AbstractDatasource nds, *hash nopts)
| creates the object; private constructor More...
Qore::SQL::AbstractDatasource | getDatasource ()
| gets the underlying AbstractDatasource
string | getDatasourceDesc ()
| returns a descriptive string for the datasource
string | getDriverName ()
| returns the database driver name
private | validateHashKeysForWhitespaces (any node)
| Check input node for all hash keys - if it contains a key with whitespace in the beginning or at the end -> error.

## Private Member Functions

Mutex | l ()
| mutex for atomic actions

## Private Attributes

AbstractDatasource | ds
| the connection to the database server
string | dsdesc
| datasource description
*hash | opts
| option hash

## Detailed Description

base class for abstract SqlUtil classes

## Member Function Documentation

private SqlUtil::AbstractSqlUtilBase::constructor | ( | AbstractDatasource | nds,
|  | *hash | nopts
| ) |  |

creates the object; private constructor

Parameters

  nds | the AbstractDatasource for the connection to the database
  nopts | a hash of options for the table creation string; see SqlUtil::AbstractTable::TableOptions for common options; each driver can support additional driver-specific options

Exceptions

  OPTION-ERROR | invalid or unsupported option passed